
# David - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}


# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdeaddons
%define lib_major 1
%define lib_name %lib_name_orig%lib_major


Name:		kdeaddons
Summary: 	Kdeaddons
Version:    3.1.3
Release:    4mdk
Epoch:		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:		http://www.kde.org/

Source0: 	%name-%version.tar.bz2

# Laurent -3.1-rc6-3mdk : fix xml insert tag dialogbox : disable ok button
# Remove patch for kde3.2
Patch1:		kdeaddons-3.1-disable-ok-button.patch.bz2


# Laurent -3.1-rc6-5mdk : disable ok button in kate insert command plugin
# Remove it for kde3.2 commited in cvs
Patch3:		kdeaddons-3.1-fix-kate-insert-command.patch.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root

Obsoletes:	kdeaddons3
Provides:	kdeaddons3 = 1:%name-%version

Requires:	%lib_name = 1:%version-%release
Requires:	libkdebase4-kate

BuildRequires:	libkdebase4-kate-devel

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel kdegames-devel kdemultimedia-devel
BuildRequires:	kdemultimedia-devel libMesaGLU1 libSDL1.2-devel libalsa1-devel
BuildRequires:	libarts-devel libaudiofile0-devel libbinutils2 libbzip2_1-devel
BuildRequires:	libesound0-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt3-devel libtermcap2 m4
BuildRequires:	mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext kdebase-devel kdelibs-devel kdegames-devel
BuildRequires:  kdemultimedia-devel libMesaGLU1 libSDL1.2-devel libalsa2-devel
BuildRequires:  libarts-devel libaudiofile0-devel libbinutils2 libbzip2_1-devel
BuildRequires:  libesound0-devel libintl2 libjpeg62-devel liblcms1-devel libmng1-devel
BuildRequires:  libpng3-devel libqt3-devel libtermcap2 m4
BuildRequires:  mktemp perl popt rpm-build texinfo zlib1-devel kdemultimedia-devel
%endif

%if %buildfor9_2
BuildRequires:  XFree86-devel
BuildRequires:  freetype2-devel
BuildRequires:  kdebase-devel kdegames-devel
BuildRequires:  kdemultimedia-devel libMesaGLU-devel libSDL-devel alsa-lib-devel
BuildRequires:  arts-devel libaudiofile-devel bzip2-devel
BuildRequires:  esound-devel jpeg-devel lcms-devel mng-devel
BuildRequires:  png-devel qt3-devel
%endif


PreReq:	kdebase >= 1:3.1.2, libSDL1.2

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif


%description
Plugins for some KDE applications: kdeaddons extends the functionality
of Konqueror, noatun (media player), kate (text editor), kicker (some applets)
and knewstiker.

%package -n %lib_name
Summary:    	Librairies for kdeaddons
Group:      	Development/KDE and Qt
Requires:   	kdegames >= 3.1

%description -n %lib_name
Librairies for kdeaddons


%package atlantik
Summary:    	Atantik generator
Group:      	Development/KDE and Qt
Requires:   	kdegames >= 3.1

%description atlantik
Generator for atlantik programm




%package noatun
Summary:        Noatun plugins
Group:          Development/KDE and Qt
Requires:       kdemultimedia >= 3.1
Requires:	%lib_name-noatun = %version-%release

%description noatun
Plugins for noatun

%package -n %lib_name-noatun
Summary:    	Librairies files for noatun plugins
Group:      	Development/KDE and Qt
Requires:   	kdegames >= 3.1

%description -n %lib_name-noatun
Librairies files for noatun plugins




%package konqimagegallery
Summary:        Konqueror plugins to create an image gallery
Group:          Development/KDE and Qt
Requires:       kdebase >= 3.1
Requires:	%lib_name-konqimagegallery = %version-%release

%description konqimagegallery
Konqueror plugins to create an image gallery.

%package -n %lib_name-konqimagegallery
Summary:    	Librairies files for image Konqueror plugins
Group:      	Development/KDE and Qt
Requires:   	kdegames >= 3.1

%description -n %lib_name-konqimagegallery
Librairies files for noatun plugins



%prep

%setup  -q 
%patch1 -p1
%patch3 -p1

%build
%if %buildfor9_2 || %buildfor9_1
#make -f admin/Makefile.common cvs
%endif

export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
                    --build=%_target_platform \
					--host=%_target_platform \
%if %unstable
					--enable-debug=full \
%else
					--disable-debug \
%endif
					--enable-final \
					--enable-shared \
					--disable-static \
					--disable-objprelink \
					--disable-embedded \
					--disable-qtopia \
					--disable-rpath \
					--with-gnu-ld \
					--with-pic \
					--with-xinerama

%make


%install
rm -fr %buildroot

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir/
#kdedesktop2mdkmenu.pl kdeaddons Configuration/KDE/FileBrowsing %buildroot/%_datadir/applnk/Settings/FileBrowsing/kcmkuick.desktop %buildroot/%_menudir/kdeaddons-kcmkuick kde
#kdedesktop2mdkmenu.pl kdeaddons Applications/Editors %buildroot/%_datadir/applnk/Editors/katefll.desktop %buildroot/%_menudir/kdeaddons-katefll kde

kdedesktop2mdkmenu.pl kdeaddons Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/atlantikdesigner.desktop %buildroot/%_menudir/kdeaddons-atlantikdesigner



%clean
rm -fr %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post atlantik
%update_menus

%postun atlantik
%clean_menus

%post -n %lib_name-konqimagegallery -p /sbin/ldconfig

%postun -n %lib_name-konqimagegallery -p /sbin/ldconfig


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kate-plugins/
%doc %_docdir/HTML/en/kate-plugins/common
%doc %_docdir/HTML/en/kate-plugins/*.docbook
%doc %_docdir/HTML/en/kate-plugins/*.bz2
#
#
%dir %_docdir/HTML/en/kicker-applets/
%doc %_docdir/HTML/en/kicker-applets/common
%doc %_docdir/HTML/en/kicker-applets/*.docbook
%doc %_docdir/HTML/en/kicker-applets/*.bz2
#
%dir %_docdir/HTML/en/konq-plugins/
%doc %_docdir/HTML/en/konq-plugins/common
%doc %_docdir/HTML/en/konq-plugins/*.docbook
%doc %_docdir/HTML/en/konq-plugins/*.bz2
#
%dir %_docdir/HTML/en/konq-plugins/babel/
%doc %_docdir/HTML/en/konq-plugins/babel/common
%doc %_docdir/HTML/en/konq-plugins/babel/*.png
%doc %_docdir/HTML/en/konq-plugins/babel/*.bz2
%doc %_docdir/HTML/en/konq-plugins/babel/*.docbook

%dir %_docdir/HTML/en/konq-plugins/crashes/
%doc %_docdir/HTML/en/konq-plugins/crashes/common
%doc %_docdir/HTML/en/konq-plugins/crashes/*.bz2
%doc %_docdir/HTML/en/konq-plugins/crashes/*.docbook

%dir %_docdir/HTML/en/konq-plugins/dirfilter/
%doc %_docdir/HTML/en/konq-plugins/dirfilter/common
%doc %_docdir/HTML/en/konq-plugins/dirfilter/*.bz2
%doc %_docdir/HTML/en/konq-plugins/dirfilter/*.docbook

%dir %_docdir/HTML/en/konq-plugins/domtreeviewer/
%doc %_docdir/HTML/en/konq-plugins/domtreeviewer/common
%doc %_docdir/HTML/en/konq-plugins/domtreeviewer/*.bz2
%doc %_docdir/HTML/en/konq-plugins/domtreeviewer/*.docbook

%dir %_docdir/HTML/en/konq-plugins/
%doc %_docdir/HTML/en/konq-plugins/common

%dir %_docdir/HTML/en/konq-plugins/khtmlsettings/
%doc %_docdir/HTML/en/konq-plugins/khtmlsettings/common
%doc %_docdir/HTML/en/konq-plugins/khtmlsettings/*.bz2
%doc %_docdir/HTML/en/konq-plugins/khtmlsettings/*.docbook

%dir %_docdir/HTML/en/konq-plugins/kuick/
%doc %_docdir/HTML/en/konq-plugins/kuick/common
%doc %_docdir/HTML/en/konq-plugins/kuick/*.bz2
%doc %_docdir/HTML/en/konq-plugins/kuick/*.docbook

%dir %_docdir/HTML/en/konq-plugins/mediaplayer/
%doc %_docdir/HTML/en/konq-plugins/mediaplayer/common
%doc %_docdir/HTML/en/konq-plugins/mediaplayer/*.bz2
%doc %_docdir/HTML/en/konq-plugins/mediaplayer/*.docbook

%dir %_docdir/HTML/en/konq-plugins/smbmounter/
%doc %_docdir/HTML/en/konq-plugins/smbmounter/common
%doc %_docdir/HTML/en/konq-plugins/smbmounter/*.bz2
%doc %_docdir/HTML/en/konq-plugins/smbmounter/*.docbook

%dir %_docdir/HTML/en/konq-plugins/uachanger/
%doc %_docdir/HTML/en/konq-plugins/uachanger/common
%doc %_docdir/HTML/en/konq-plugins/uachanger/*.bz2
%doc %_docdir/HTML/en/konq-plugins/uachanger/*.docbook

%dir %_docdir/HTML/en/konq-plugins/validators/
%doc %_docdir/HTML/en/konq-plugins/validators/common
%doc %_docdir/HTML/en/konq-plugins/validators/*.bz2
%doc %_docdir/HTML/en/konq-plugins/validators/*.docbook

%dir %_docdir/HTML/en/konq-plugins/webarchiver/
%doc %_docdir/HTML/en/konq-plugins/webarchiver/common
%doc %_docdir/HTML/en/konq-plugins/webarchiver/*.bz2
%doc %_docdir/HTML/en/konq-plugins/webarchiver/*.docbook

#

#



#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kate/
%dir %_datadir/apps/kate/plugins/
#
%dir %_datadir/apps/kate/plugins/katehtmltools/
%_datadir/apps/kate/plugins/katehtmltools/*.rc
#
%dir %_datadir/apps/kate/plugins/katexmltools/
%_datadir/apps/kate/plugins/katexmltools/*.rc
#
%dir %_datadir/apps/kate/plugins/kateinsertcommand/
%_datadir/apps/kate/plugins/kateinsertcommand/*.rc
#
%dir %_datadir/apps/kate/plugins/kateopenheader/
%_datadir/apps/kate/plugins/kateopenheader/*.rc
#
#
%dir %_datadir/apps/kate/plugins/katetextfilter/
%_datadir/apps/kate/plugins/katetextfilter/*.rc
#
%dir %_datadir/apps/kate/plugins/katefll/
%_datadir/apps/kate/plugins/katefll/*.rc
%dir %_datadir/apps/kate/plugins/katemodeline/
%_datadir/apps/kate/plugins/katemodeline/*.rc
%dir %_datadir/apps/kate/plugins/katepybrowse/
%_datadir/apps/kate/plugins/katepybrowse/*.rc
%dir %_datadir/apps/kate/plugins/katespell/
%_datadir/apps/kate/plugins/katespell/*.rc
%dir %_datadir/apps/kate/plugins/katexmlcheck/
%_datadir/apps/kate/plugins/katexmlcheck/*.rc


%dir %_datadir/apps/katexmltools/
%_datadir/apps/katexmltools/*.xml
%_datadir/apps/katexmltools/*.xsl
#
%dir %_datadir/apps/khtml/
%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/*.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/konqiconview/
%dir %_datadir/apps/konqiconview/kpartplugins/
%_datadir/apps/konqiconview/kpartplugins/dirfilterplugin.rc
%_datadir/apps/konqiconview/kpartplugins/smbmounterplugin.rc

#
#
%dir %_datadir/apps/konqlistview/
%dir %_datadir/apps/konqlistview/kpartplugins/
%_datadir/apps/konqlistview/kpartplugins/dirfilterplugin.rc
%_datadir/apps/konqlistview/kpartplugins/smbmounterplugin.rc
#
%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/add/
%_datadir/apps/konqsidebartng/add/*.desktop

%dir %_datadir/apps/konqsidebartng/entries/
%_datadir/apps/konqsidebartng/entries/*.desktop
# 

#
%dir %_datadir/apps/knewsticker/
%dir %_datadir/apps/knewsticker/scripts/
%_datadir/apps/knewsticker/scripts/*.pl
%_datadir/apps/knewsticker/scripts/*.py
%_datadir/apps/knewsticker/scripts/*.Error*
%_datadir/apps/knewsticker/scripts/*.newsrss
%_datadir/apps/knewsticker/scripts/*.stock
#
	  
#
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png
%dir %_iconsdir/crystalsvg/22x22/apps/
%_iconsdir/crystalsvg/22x22/apps/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png


#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
#


%dir %_datadir/applnk/Editors/
%_datadir/applnk/Editors/katefll.desktop
%_datadir/applnk/.hidden/babelfishplugin.desktop      
%_datadir/applnk/.hidden/kuickplugin.desktop
%_datadir/applnk/.hidden/dirfilterplugin.desktop      
%_datadir/applnk/.hidden/mediaplayerplugin.desktop
%_datadir/applnk/.hidden/domtreeviewerplugin.desktop  
%_datadir/applnk/.hidden/smbmounterplugin.desktop
%_datadir/applnk/.hidden/kcmkuick.desktop             
%_datadir/applnk/.hidden/uachangerplugin.desktop
%_datadir/applnk/.hidden/khtmlsettingsplugin.desktop  
%_datadir/applnk/.hidden/validatorsplugin.desktop
%_datadir/applnk/.hidden/webarchiverplugin.desktop

#%dir %_datadir/apps/dub/
#%_datadir/apps/dub/dubui.rc


%dir %_datadir/apps/mediacontrol/
%dir %_datadir/apps/mediacontrol/blueish/
%_datadir/apps/mediacontrol/blueish/*.png
%dir %_datadir/apps/mediacontrol/default/
%_datadir/apps/mediacontrol/default/*.png


%files -n %lib_name
%defattr(-,root,root)
#
%dir %_libdir/kde3/
%_libdir/kde3/katefll_initplugin.la*        
%_libdir/kde3/konq_smbmounterplugin.la*
%_libdir/kde3/katefll_plugin.la*            
%_libdir/kde3/konqsidebar_mediaplayer.la*
%_libdir/kde3/katehtmltoolsplugin.la*       
%_libdir/kde3/ktimemon_panelapplet.la*
%_libdir/kde3/kateinsertcommandplugin.la*   
%_libdir/kde3/libbabelfishplugin.la*
%_libdir/kde3/katemodelineplugin.la*        
%_libdir/kde3/libdirfilterplugin.la*
%_libdir/kde3/kateopenheaderplugin.la*      
%_libdir/kde3/libdomtreeviewerplugin.la*
%_libdir/kde3/katepybrowseplugin.la*        
%_libdir/kde3/libkcm_kuick.la*
%_libdir/kde3/katespellplugin.la*           
%_libdir/kde3/libkhtmlsettingsplugin.la*
%_libdir/kde3/katetextfilterplugin.la*      
%_libdir/kde3/katexmlcheckplugin.la*        
%_libdir/kde3/libkuickplugin.la*
%_libdir/kde3/katexmltoolsplugin.la*        
%_libdir/kde3/libuachangerplugin.la*
%_libdir/kde3/kfile_desktop.la*             
%_libdir/kde3/libvalidatorsplugin.la*
%_libdir/kde3/kfile_folder.la*              
%_libdir/kde3/libwebarchiverplugin.la*
%_libdir/kde3/kfile_html.la*                
%_libdir/kde3/mediacontrol_panelapplet.la*
%_libdir/kde3/kfile_txt.la*                 
%_libdir/kde3/webarchivethumbnail.la*
%_libdir/kde3/kolourpicker_panelapplet.la*



%_libdir/kde3/katefll_initplugin.so*        
%_libdir/kde3/konq_smbmounterplugin.so*
%_libdir/kde3/katefll_plugin.so*            
%_libdir/kde3/konqsidebar_mediaplayer.so*
%_libdir/kde3/katehtmltoolsplugin.so*       
%_libdir/kde3/ktimemon_panelapplet.so*
%_libdir/kde3/kateinsertcommandplugin.so*   
%_libdir/kde3/libbabelfishplugin.so*
%_libdir/kde3/katemodelineplugin.so*        
%_libdir/kde3/libdirfilterplugin.so*
%_libdir/kde3/kateopenheaderplugin.so*      
%_libdir/kde3/libdomtreeviewerplugin.so*
%_libdir/kde3/katepybrowseplugin.so*        
%_libdir/kde3/libkcm_kuick.so*
%_libdir/kde3/katespellplugin.so*           
%_libdir/kde3/libkhtmlsettingsplugin.so*
%_libdir/kde3/katetextfilterplugin.so*      
%_libdir/kde3/katexmlcheckplugin.so*        
%_libdir/kde3/libkuickplugin.so*
%_libdir/kde3/katexmltoolsplugin.so*        
%_libdir/kde3/libuachangerplugin.so*
%_libdir/kde3/kfile_desktop.so*             
%_libdir/kde3/libvalidatorsplugin.so*
%_libdir/kde3/kfile_folder.so*              
%_libdir/kde3/libwebarchiverplugin.so*
%_libdir/kde3/kfile_html.so*                
%_libdir/kde3/mediacontrol_panelapplet.so*
%_libdir/kde3/kfile_txt.so*                 
%_libdir/kde3/webarchivethumbnail.so*
%_libdir/kde3/kolourpicker_panelapplet.so*


%files -n %lib_name-konqimagegallery
%defattr(-,root,root)
%dir %_libdir/kde3/
%_libdir/kde3/libkimgallery.la*
%_libdir/kde3/libkimgallery.so*


%files konqimagegallery
%defattr(-,root,root)
%dir %_datadir/apps/konqiconview/
%dir %_datadir/apps/konqiconview/kpartplugins/
%_datadir/apps/konqiconview/kpartplugins/kimgalleryplugin.rc
#
#
%dir %_datadir/apps/konqlistview/
%dir %_datadir/apps/konqlistview/kpartplugins/
%_datadir/apps/konqlistview/kpartplugins/kimgalleryplugin.rc


%dir %_docdir/HTML/en/konq-plugins/

%dir %_docdir/HTML/en/konq-plugins/imgallery/
%doc %_docdir/HTML/en/konq-plugins/imgallery/common
%doc %_docdir/HTML/en/konq-plugins/imgallery/*.bz2
%doc %_docdir/HTML/en/konq-plugins/imgallery/*.docbook

%dir %_datadir/icons/crystalsvg/16x16/actions/
%_datadir/icons/crystalsvg/16x16/actions/imagegallery.png

%dir %_datadir/icons/crystalsvg/22x22/actions/
%_datadir/icons/crystalsvg/22x22/actions/imagegallery.png

%_datadir/applnk/.hidden/kimgalleryplugin.desktop

%files noatun
%defattr(-,root,root)
%_bindir/*.bin




%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
%_datadir/apps/noatun/tylerstates
%_datadir/apps/noatun/*.rc

%files -n %lib_name-noatun
%defattr(-,root,root)

%dir %_libdir/kde3/
%_libdir/kde3/noatunwakeup.la
%_libdir/kde3/noatunmadness.la
%_libdir/kde3/noatuncharlatan.la
%_libdir/kde3/noatunalsaplayer.la
%_libdir/kde3/noatunpitchablespeed.la
%_libdir/kde3/noatunluckytag.la
%_libdir/kde3/noatunwavecapture.la
%_libdir/kde3/noatunlyrics.la
%_libdir/kde3/noatun_ffrs.la
%_libdir/kde3/noatunblurscope.la
%_libdir/kde3/noatunsynaescope.la
%_libdir/kde3/noatuntippecanoe.la
%_libdir/kde3/noatuntyler.la



#
%_libdir/kde3/noatunwakeup.so
%_libdir/kde3/noatunmadness.so
%_libdir/kde3/noatuncharlatan.so
%_libdir/kde3/noatunalsaplayer.so
%_libdir/kde3/noatunpitchablespeed.so
%_libdir/kde3/noatunluckytag.so
%_libdir/kde3/noatunwavecapture.so
%_libdir/kde3/noatunlyrics.so
%_libdir/kde3/noatun_ffrs.so
%_libdir/kde3/noatunblurscope.so
%_libdir/kde3/noatunsynaescope.so
%_libdir/kde3/noatuntippecanoe.so
%_libdir/kde3/noatuntyler.so



%files atlantik
%defattr(-,root,root)
%_menudir/*
%_bindir/atlantikdesigner

#
%dir %_datadir/apps/atlantikdesigner/
%_datadir/apps/atlantikdesigner/*.rc

%dir %_datadir/applnk/Games/Board/
%_datadir/applnk/Games/Board/*.desktop

%dir %_datadir/icons/crystalsvg/16x16/apps/
%_datadir/icons/crystalsvg/16x16/apps/atlantikdesigner.png

%dir %_datadir/icons/crystalsvg/32x32/apps/
%_datadir/icons/crystalsvg/32x32/apps/atlantikdesigner.png


%changelog
* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix buildrequires

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Fix build with split

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix requires etc.

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Rebuild

* Fri Jun 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Split konqueror image gallery

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix spec file
- Create noatun package

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Fix spec file

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code

* Thu Feb 27 2003 David BAUDENS <baudens@mandrakesoft.com> 3.1-4mdk
- Fix menu entry

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Fix requires.

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Sun Jan 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Add patch4 : fix crash in kate text filter plugin when selection is empty

* Sun Jan 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Add patch3 : Disable ok button when command name is empty

* Sun Jan 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch2 : fix kate insert command plugins mem leak

* Sat Jan 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Add patch1 : fix insert xml tag dialogbox disable ok button

* Thu Jan 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Remove debug

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Mon Oct 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix spec file

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Sun Oct 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Fix build requires on 8.2

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch5 : fix konq pluggins validator : don't send url with passwd

* Sun Aug 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch4 : Disable enable decrease/increas button in dom tree view

* Sun Aug 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch2 : fix mem leak found by valgrind (konqueror -> validator)
- Add patch3 : fix mem leak in kate -> plugins -> insert command

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch1 : Remove unused qgroupbox in ktimemon apply config dialogbox

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Wed Jul 31 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 3.0.2-3mdk
- Build for release 9.0, not 8.3

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-8mdk
- Add patch3 fix other bug into babelfish plugins

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Add patch2 fix crash

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Readd debug
- Fix a lot of crash thanks to David Faure to help me

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild against libstdc++3.1

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix obsolete/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu-entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Thu May 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove 'fomit-frame-pointer'


* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix build requires for 8.0

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Mon Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix BuildRequires for 8.2

* Sat Feb 08 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix BuildRequires on 8.0 PPC
- Fix ./configure
- Add missing files
- Set unstable macro to 1

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
